org.gnome.SessionManager.Inhibitor
Prev | Part II. Internal D-Bus API | Next

## Name

org.gnome.SessionManager.Inhibitor — Active Inhibitors

## Methods

    GetAppId    (OUT s app_id);
    GetClientId (OUT o client_id);
    GetReason   (OUT s reason);
    GetFlags    (OUT u flags);

## Description

This interface is implemented by the active inhibitors that are returned by the manager's GetInhibitors() method.

Clients like GNOME Shell use this interface to display the shutdown confirmation dialog.

## Method Details

### The GetAppId() method

    GetAppId (OUT s app_id);

Return the application ID associated with this inhibitor.

`OUT s `app_id``:

  The identifier for the associated application

### The GetClientId() method

    GetClientId (OUT o client_id);

Return the client object path associated with this inhibitor.

`OUT o `client_id``:

  The object path of the associated client

### The GetReason() method

    GetReason (OUT s reason);

Return the reason for the inhibitor

`OUT s `reason``:

  The reason for the inhibitor

### The GetFlags() method

    GetFlags (OUT u flags);

Return the flags that determine the scope of the inhibitor

`OUT u `flags``:

  The flags that determine the scope of the inhibitor

Prev | Up | Next
org.gnome.SessionManager.ClientPrivate | Home | org.gnome.SessionManager.Presence